Update transmission to 1.93

Bug #574435 reported by Krzysztof Klimonda on 2010-05-03
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
transmission (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: transmission

=== Transmission 1.93 (2010/05/01) ===
[http://trac.transmissionbt.com/query?milestone=1.93&group=component&groupdesc=1&order=severity All tickets closed by this release]
==== All Platforms ====
  * Fix rare crash when some peers disconnected unexpectedly
  * Fix bug which didn't parse scheduled speed limit dates correctly
  * Fix bug that broke magnet links whose names contained slashes
  * Fix crash when updating the blocklist when the disk is full
  * Fix slow file preallocation on Unix systems not using ext3/ext4
  * Fix regression which broke the "bind-address-ipv4" configuration setting
  * For better security, Web client connctions are disabled by default
  * Upgrade to miniupnpc-1.4
  * Transmission builds out-of-the-box with Curl 7.15.5. (Hello CentOS!)
==== GTK+ ====
  * Use the size for the system tray icon
==== Qt ====
  * Fix bug that crashed when removing more than one torrent at once
  * Fix bug when parsing the remote password from the command line
  * Add support for the "incomplete directory" in the preferences dialog
  * Don't show "time remaining" for paused torrents
==== Daemon ====
  * Fix bug parsing RPC requests when setting which files to not download
  * Fix possible crash when using inotify for the daemon's watchdir
  * Fix bugs in the configure script
  * Fix bug updating the blocklist over RPC
==== Web Client ====
  * Fix bug that broke the "reverse sort order" menu checkbox

Krzysztof Klimonda (kklimonda) wrote :

A diff for source code between 1.92 and 1.93

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transmission - 1.93-2ubuntu1

---------------
transmission (1.93-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #574435), remaining changes:
    - debian/control:
      + Added liblaunchpad-integration-dev and lsb-release to Build-Depends
    - debian/rules:
      + create a po template during package build.
    - debian/patches/01_lpi.patch:
      + integrate transmission with launchpad
    - debian/patches/20_add_x-ubuntu-gettext-domain.diff:
      + add x-ubuntu-gettext-domain to .desktop file.
    - debian/control, debian/rules:
      + build transmission gtk+ client with both gconf and libcanberra support.
    - debian/patches/dont_build_libevent.patch:
      + disable libevent in configure.ac and Makefile.am because we use autotools
        to regenerate build files.
    - debian/patches/updateminiupnpcstrings_double_escape_slash.patch:
      + Deleted as the bug is fixed upstream
  * Fixes bugs:
    - Fix a bug in transmission-daemon that caused it to overwrite symlink to
      settings.json and in the result ignore changes made to
      /etc/transmission-daemon/settings.json (LP: #571097)
    - A fix for LP #542194 disabled rpc in transmission-daemon by default. Make
      it enabled for new users (LP: #571739)
  * Refreshed 99_autoreconf.patch
 -- Krzysztof Klimonda <email address hidden> Sun, 16 May 2010 21:20:39 +0200

Changed in transmission (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

Hi Krzysztof,

You've included a list of all the bugs fixed in this release, but there's no information here about which bugs you believe warrant an SRU or why. It's also not clear why the bugs that warrant an SRU should be fixed by pulling a new upstream version instead of pulling a targeted fix. Can you please elaborate?

Changed in transmission (Ubuntu Lucid):
status: New → Incomplete

On Fri, 2010-06-04 at 21:19 +0000, Steve Langasek wrote:
> Hi Krzysztof,
>
> You've included a list of all the bugs fixed in this release, but
> there's no information here about which bugs you believe warrant an SRU
> or why. It's also not clear why the bugs that warrant an SRU should be
> fixed by pulling a new upstream version instead of pulling a targeted
> fix. Can you please elaborate?
Right, I've managed to include a list of all bugs, write test cases,
I've also discussed it briefly on irc with pitti but obviously has
forgotten to follow it up with the rationale here. Sorry about that,
it's below.

1.93 is the latest (and possibly the last) bugfix release in the 1.9x
serie of Transmission. The upstream developers being aware of the
release processes of Ubuntu, Fedora and OpenSUSE puts quite a lot of
effort to ensure that all releases following the first are being well
tested and doesn't contain new features that would make it harder to get
it after Freeze.

As I can see it, there are three good reasons to include 1.93 (and
possibly a 1.94 if it gets released) in updates:
 - 1.93 is a release used by some other distributions (at least Fedora,
probably OpenSUSE, maybe Red Hat?). Using same release makes it easier
for both upstream and us to keep track of possible problems.
 - Private Tracker administrators were irritated in the past by the
frequency of Transmission releases and the amount of Transmission client
versions in the wild. It's hard for them to track cheaters (people who
report wrong down/up ratio) and they may decide (as some of them has
decided in past) to ban older 1.9x releases just to ease their work.
 - It would make it easier for the upstream (and me personally) to
provide support for users who join #transmission and ask for help.
 - Users really want 1.93 in Lucid (not an argument but still.. :) )

Regression potential:
 - All bugs being that are being backported to the stable branch are
chosen by developers based on their possible impact. 1.93 fixes few
crashes that are rare, hasn't been reported on LP yet and they are not
in our 1.92 release.
 - 1.93 has been released a month ago, it got moved to Fedora 13 shortly
and got quite a lot of testing from both Fedora users and those who
download it directly.

 status new

--
Krzysztof Klimonda <email address hidden>

Changed in transmission (Ubuntu):
status: Fix Released → New
Martin Pitt (pitti) wrote :

Fixed in maverick.

Changed in transmission (Ubuntu):
status: New → Fix Released
Changed in transmission (Ubuntu Lucid):
status: Incomplete → Fix Committed
tags: added: verification-needed

Accepted transmission into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Pedro Villavicencio (pedro) wrote :

I've been using the proposed package for a few days already and did not noticed any regression so far, Marking this as verification done, thanks all.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transmission - 1.93-0ubuntu0.10.04.1

---------------
transmission (1.93-0ubuntu0.10.04.1) lucid-proposed; urgency=low

  * Merge from Debian unstable (LP: #574435), fixes bugs:
  * debian/patches/follow_symlinks.patch
    - Fix a bug in transmission-daemon that caused it to overwrite symlink to
      settings.json and in the result ignore changes made to
      /etc/transmission-daemon/settings.json (LP: #571097)
  * debian/patches/enable_rpc_by_default.patch
    - A fix for LP #542194 disabled rpc in transmission-daemon by default. Make
      it enabled for new users (LP: #571739)
  * debian/transmission-daemon.{postinst,postrm}:
    - Fix permissions for /etc/transmission-daemon/ directory.
  * Refreshed 99_autoreconf.patch
 -- Krzysztof Klimonda <email address hidden> Sun, 16 May 2010 20:32:16 +0200

Changed in transmission (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers